
Summary: smeserver - check updates of external repositories
%define name smeserver-check4updates
Name: %{name}
%define version 0.0.4
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: smeserver-base
Requires: smeserver-release >= 9
BuildRequires: smeserver-devtools
BuildArchitectures: noarch

%description
A rpm to check updates of external repositories

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.0.4-6.sme
- Fix e-smith references in smeserver-check4updates [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.0.4-5.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Mar 24 2021 Brian Read <brianr@bjsystems.co.uk> 0.0.4-4.sme
- Add Update event to createlinks [SME: 11299]

* Wed Mar 24 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sat Jan 02 2021 Brian Read <brianr@bjsystems.co.uk> 0.0.4-3.sme
- Initial Import to SME10 [SME: 11299 ]

* Sat Aug 22 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.0.4-2.sme
- Initial release to contribs9

* Sat Feb 21 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.0.4-1.sme
- Added the list of exclusion in the email

* Wed Dec 24 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 0.0.3-1.sme
- Changed the db name check4update to check4updates

* Tue Dec 9 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 0.0.2-1.sme
- Added an exclude list of rpm

* Mon Dec 8 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 0.0.1-1.sme
- Initial release to sme9

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
  /sbin/e-smith/genfilelist \
    --file /sbin/e-smith/check4repositoriesupdates 'attr(0750,root,root)' \
  $RPM_BUILD_ROOT > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%postun

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)

